Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class BijectionInterceptor

    java.lang.Object
      org.jboss.seam.intercept.AbstractInterceptor
          org.jboss.seam.core.BijectionInterceptor

All Implemented Interfaces:
  Serializable, OptimizedInterceptor

    @Interceptor
    public class BijectionInterceptor

extends AbstractInterceptor

Before invoking the component, inject all dependencies. After invoking, outject dependencies back into their context.

Author:
  Gavin King, Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`BijectionInterceptor()`

Method Summary
`Object` | `aroundInvoke(InvocationContext invocation)`
`boolean` | `isInterceptorEnabled()` Returns true if this interceptor should be enabled.
`void` | `setComponent(Component component)`

Methods inherited from class org.jboss.seam.intercept.AbstractInterceptor
`getComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BijectionInterceptor

    public BijectionInterceptor()

Method Detail

### setComponent

    public void setComponent(Component component)

  Overrides:
    `setComponent` in class `AbstractInterceptor`

### aroundInvoke

    @AroundInvoke
    public Object aroundInvoke(InvocationContext invocation)
                        throws Exception

  Throws:
    `Exception`

### isInterceptorEnabled

    public boolean isInterceptorEnabled()

  Description copied from interface: `OptimizedInterceptor`
  Returns true if this interceptor should be enabled. The component and the annotation will be injected into the interceptor instance before this method is called, and can be used to decide whether the interceptor should be enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.